Hardware compatibility of a device (by node_id) or of an ad-hoc profile
POST
/v1/projects/{project_id}/compatibility
const url = 'https://testnet-rpc.necter.network/v1/projects/example/compatibility';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"node_id":"example","class":"phone","engine":"native","hardware":{"cpu_model":"example","cpu_cores":1,"cpu_threads":1,"ram_mb":1,"storage_free_mb":1,"gpu":{"vendor":"example","model":"example","vram_mb":1},"network":"wifi","battery":true,"os":"example","arch":"example"},"benchmark_score":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://testnet-rpc.necter.network/v1/projects/example/compatibility \ --header 'Content-Type: application/json' \ --data '{ "node_id": "example", "class": "phone", "engine": "native", "hardware": { "cpu_model": "example", "cpu_cores": 1, "cpu_threads": 1, "ram_mb": 1, "storage_free_mb": 1, "gpu": { "vendor": "example", "model": "example", "vram_mb": 1 }, "network": "wifi", "battery": true, "os": "example", "arch": "example" }, "benchmark_score": 1 }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Responses
Section titled “Responses”Result
Media typeapplication/json
object
compatible
required
boolean
tier
required
string
match_bp
required
integer
missing
required
Array<string>
warnings
required
Array<string>
performance
string
est_monthly_reward
Token base units
string
Example
{ "tier": "compatible", "performance": "excellent"}Malformed request (bad_request, invalid_field)
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}not_found
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}